class UsersController < ApplicationController
  def new
    @user = User.new
  end

  def create
    @user = User.new(user_params)
    if @user.save
      session[:user] = @user.id
      flash[:notice] = 'Successful login'
      redirect_back fallback_location: hello_path
    else
      flash[:notice] = @user.errors.messages
      redirect_back fallback_location: hello_path
    end
  end

  def edit
  end

  def update
    if @user.update(user_params)
      flash[:notice] = "Update successful"
      redirect_back fallback_location: hello_path
    else
      flash[:notice] = "Could not update data"
      redirect_back fallback_location: hello_path
    end
  end

  def forgotten
  end

  def send_forgotten
  end

  private
    def user_params
      params.require(:user).permit([:name, :email, :password, :password_confirmation])
    end
end
