class Topic < ApplicationRecord
  belongs_to :user
  has_many :comments
  has_many :commenters, through: :comments, source: 'user'
  has_many :attachments
  #has_and_belongs_to_many :subtopics, class_name: 'Topic', foreign_key: 'subtopic_id', join_table: 'subtopics_topics', assossication_foreign_key: 'topic_id'
  has_many :subtopics_topic, class_name: 'SubtopicsTopic'
  has_many :subtopics, through: :subtopics_topic
  has_many :links

  def self.get_topic_page(page)
    Topic.all.order(created_at: :desc).paginate(page: page, per_page: 10)
  end
end
