require 'test_helper'

class AttachToTopicTest < ActionDispatch::IntegrationTest
  test "Attach file to topic" do
    get '/say/hello'
    assert_nil session[:user]
    assert_select 'a', 'Register'
    assert_select 'label', "Email"
    assert_select "label", "Password"

    post '/sessions/create', params: { email: users(:valaki).email , password: 'titok'}, headers: { 'HTTP_REFERER': '/say/hello' }
    assert_response :redirect
    assert_equal session[:user], users(:valaki).id
    follow_redirect!
    assert_select 'a', 'Profile'
    assert_select 'a', 'All topics'

    get '/topics'
    assert_response :success
    assert_select 'h1', 'Topics'
    assert_select 'table', 1
    assert_select 'tbody tr', Topic.all.size

    get '/topics/'+topics(:ror).id.to_s
    assert_response :success
    assert_select 'legend', 'Attach a new file'

    upload_file = fixture_file_upload('test/fixtures/files/hello.txt', 'text/plain')
    post "/attachments/create/#{topics(:ror).id}/#{users(:valaki).id}", params: { attachment: { upload:  upload_file  } }
    assert_response :redirect
    assert_equal Attachment.all.size, 1
    assert File.exist? 'public/data/'+Attachment.last.id.to_s
    follow_redirect!
    assert_select 'a', 'Logout'

    get '/sessions/destroy'
    assert_response :redirect
    follow_redirect!
    assert_select 'a', "Register"
    assert_nil session[:user]

  end
end
